[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.FixupResourceHeader

Not implemented in FPC

## Declaration

Source position: classesh.inc line 859

`public procedure TStream.FixupResourceHeader(`
`FixupInfo: Integer`
`);`

## Description

FixupResourceHeader is used to write the size of the resource after a component was written to stream. The size is determined from the current position, and it is written at position FixupInfo. After that the current position is restored.

FixupResourceHeader should never be called directly; it is handled by the streaming system.

## See also

TStream.WriteResourceHeader |  | Write resource header to the stream
TStream.WriteComponentRes |  | Write resource header and component data to a stream
TStream.WriteDescendentRes |  | Write resource header and component data to a stream, relative to an ancestor

Documentation generated on: Feb 26 2014